#include <iostream>
using namespace std;
int main()
{
    int n;
    cin>>n;

    int sum=0;

    for (int i=1; i<=n; i++)
    {
        cin>>i;
        int m=i;
        if (m<=m+1) sum=sum+(m+1);
        else if (m>=m+1) sum=sum+m;
    }

    cout<<sum<<endl;
    return 0;
}
